//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

#ifdef __cplusplus
#include <OCApi.h>
#include <OCPlatform.h>

BOOL boolValueFromRepresentation(const OC::OCRepresentation rep, const char * key);

int intValueFromRepresentation(const OC::OCRepresentation rep, const char * key);

double doubleValueFromRepresentation(const OC::OCRepresentation rep, const char * key);

NSString * stringValueFromRepresentation(const OC::OCRepresentation rep, const char * key);

#endif
